<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="frecuenciaCardiaca">
        <h2 class="jh-entity-heading" data-cy="frecuenciaCardiacaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.detail.title')">FrecuenciaCardiaca</span> {{ frecuenciaCardiaca.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.frecuenciaCardiaca')">Frecuencia Cardiaca</span>
          </dt>
          <dd>
            <span>{{ frecuenciaCardiaca.frecuenciaCardiaca }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="frecuenciaCardiaca.fechaRegistro">{{ $d(Date.parse(frecuenciaCardiaca.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.user')">User</span>
          </dt>
          <dd>
            {{ frecuenciaCardiaca.user ? frecuenciaCardiaca.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="frecuenciaCardiaca.id"
          :to="{ name: 'FrecuenciaCardiacaEdit', params: { frecuenciaCardiacaId: frecuenciaCardiaca.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./frecuencia-cardiaca-details.component.ts"></script>
